package wekan.wrapper.api;

import retrofit2.Call;
import retrofit2.http.*;
import wekan.wrapper.entity.WList;

import java.util.List;


public interface ListService {
    @GET("/api/boards/{board}/lists")
    Call<List<WList>> getAllList(@Path("board") String boardId);

    @POST("/api/boards/{board}/lists")
    Call<WList> newList(@Path("board") String board, @Body String title);

}
